| LABEL maintainer="Red Hat, Inc." |
| LABEL vendor="Red Hat, Inc." |
| LABEL url="https://catalog.redhat.com/en/search?searchType=containers" |
| LABEL com.redhat.component="ubi9-minimal-container" name="ubi9-minimal" version="9.6" distribution-scope="public" |
| LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI" |
| LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9." |
| LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." |
| LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." |
| LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal" |
| LABEL io.openshift.expose-services="" |
| LABEL io.openshift.tags="minimal rhel9" |
| ENV container oci |
| COPY dir:e1f22eafd6489859288910ef7585f9d694693aa84a31ba9d54dea9e7a451abe6 in / |
| COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/. |
| CMD ["/bin/bash"] |
| COPY file:58cc94f5b3b2d60de2c77a6ed4b1797dcede502ccdb429a72e7a72d994235b3c in /usr/share/buildinfo/content-sets.json |
| COPY file:58cc94f5b3b2d60de2c77a6ed4b1797dcede502ccdb429a72e7a72d994235b3c in /root/buildinfo/content_manifests/content-sets.json |
| LABEL "build-date"="2025-08-20T13:12:41" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="f4b088292653bbf5ca8188a5e59ffd06a8671d4b" "release"="1755695350" |
| LABEL org.label-schema.build-date=2025-08-22T23:56:56Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.1.3 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=d9d2860c7593868e25d1b2da7da43793fe12c99e io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2025-08-22T23:56:56Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.1.3 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch. |
| ENV ELASTIC_CONTAINER=true |
| ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin |
| ENV GODEBUG=madvdontneed=1 |
| RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit |
| COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit |
| RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit |
| COPY /usr/share/filebeat /usr/share/filebeat # buildkit |
| RUN /bin/sh -c mkdir /licenses # buildkit |
| COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit |
| COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit |
| RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit |
| RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit |
| RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit |
| USER 1000 |
| ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/ |
| WORKDIR /usr/share/filebeat |
| ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"] |
| CMD ["--environment" "container"] |